it.csi.mddtools.guigen

## Interface ContentPanel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ContentPanel
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Content Panel'. Il Content Panel rappresenta la singola schermata dell'applicativo. Può contenere pannelli strutturati con differenti tipi di layout.

  The following features are supported:

  - `Panels`
  - `Name`
  - `App Data`
  - `On Refresh Command`
  - `Dialogs`
  - `States`
  - `Default State`
  - `Cp Commands`
  See Also:
    `GuigenPackage.getContentPanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ApplicationData>` | `getAppData()` Returns the value of the 'App Data' reference list.
    `CPCommands` | `getCpCommands()` Returns the value of the 'Cp Commands' containment reference
    `ScreenState` | `getDefaultState()` Returns the value of the 'Default State' reference
    `org.eclipse.emf.common.util.EList<DialogPanel>` | `getDialogs()` Returns the value of the 'Dialogs' containment reference list.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `Command` | `getOnRefreshCommand()` Returns the value of the 'On Refresh Command' containment reference
    `Panel` | `getPanels()` Returns the value of the 'Panels' containment reference
    `ScreenStates` | `getStates()` Returns the value of the 'States' containment reference
    `void` | `setCpCommands(CPCommands value)` Sets the value of the '`Cp Commands`' containment reference
    `void` | `setDefaultState(ScreenState value)` Sets the value of the '`Default State`' reference
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setOnRefreshCommand(Command value)` Sets the value of the '`On Refresh Command`' containment reference
    `void` | `setPanels(Panel value)` Sets the value of the '`Panels`' containment reference
    `void` | `setStates(ScreenStates value)` Sets the value of the '`States`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPanels

          Panel getPanels()

      Returns the value of the 'Panels' containment reference.

      If the meaning of the 'Panels' containment reference isn't clear, there really should be more of a description here...

      Il pannello principale inserito nel content Panel.
      Returns:
        the value of the 'Panels' containment reference.
      See Also:
        `setPanels(Panel)`, `GuigenPackage.getContentPanel_Panels()`

    - #### setPanels

          void setPanels(Panel value)

      Sets the value of the '`Panels`' containment reference.
      Parameters:
        `value` - the new value of the 'Panels' containment reference.
      See Also:
        `getPanels()`

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Nome identificativo del content panel. Deve essee univoco all'interno dell' applicazione. Deve essere un identificatore valido nello stile Java.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getContentPanel_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getAppData

          org.eclipse.emf.common.util.EList<ApplicationData> getAppData()

      Returns the value of the 'App Data' reference list. The list contents are of type `ApplicationData`.

      If the meaning of the 'App Data' reference list isn't clear, there really should be more of a description here...

      Elenco degli ApplicationData utilizzabili per i binding di dati. Deprecato: definire gli ApplicationData in uno o più AppDataGroup, mantenuti in file separati.
      Returns:
        the value of the 'App Data' reference list.
      See Also:
        `GuigenPackage.getContentPanel_AppData()`

    - #### getOnRefreshCommand

          Command getOnRefreshCommand()

      Returns the value of the 'On Refresh Command' containment reference.

      If the meaning of the 'On Refresh Command' containment reference isn't clear, there really should be more of a description here...

      Comando che viene eseguito ad ogni refresh della pagina, sia che sia conseguente all'invocazione di un event handler, sia che si tratti di un puro refresh o della visualizzazione iniziale. Nel caso sia conseguente all'invocazione di un EventHandler questo comando viene eseguito prima del comando associato.
      Returns:
        the value of the 'On Refresh Command' containment reference.
      See Also:
        `setOnRefreshCommand(Command)`, `GuigenPackage.getContentPanel_OnRefreshCommand()`

    - #### setOnRefreshCommand

          void setOnRefreshCommand(Command value)

      Sets the value of the '`On Refresh Command`' containment reference.
      Parameters:
        `value` - the new value of the 'On Refresh Command' containment reference.
      See Also:
        `getOnRefreshCommand()`

    - #### getDialogs

          org.eclipse.emf.common.util.EList<DialogPanel> getDialogs()

      Returns the value of the 'Dialogs' containment reference list. The list contents are of type `DialogPanel`.

      If the meaning of the 'Dialogs' containment reference list isn't clear, there really should be more of a description here...

      Elenco dei Dialog di feedback associati al content panel. Devono essere attivati mediante il comando ShowDialogCommand.
      Returns:
        the value of the 'Dialogs' containment reference list.
      See Also:
        `GuigenPackage.getContentPanel_Dialogs()`

    - #### getStates

          ScreenStates getStates()

      Returns the value of the 'States' containment reference.

      If the meaning of the 'States' containment reference isn't clear, there really should be more of a description here...

      Stati di attivazione del ContentPanel
      Returns:
        the value of the 'States' containment reference.
      See Also:
        `setStates(ScreenStates)`, `GuigenPackage.getContentPanel_States()`

    - #### setStates

          void setStates(ScreenStates value)

      Sets the value of the '`States`' containment reference.
      Parameters:
        `value` - the new value of the 'States' containment reference.
      See Also:
        `getStates()`

    - #### getDefaultState

          ScreenState getDefaultState()

      Returns the value of the 'Default State' reference.

      If the meaning of the 'Default State' reference isn't clear, there really should be more of a description here...

      Stato di attivazione del ContentPanel di default.
      Returns:
        the value of the 'Default State' reference.
      See Also:
        `setDefaultState(ScreenState)`, `GuigenPackage.getContentPanel_DefaultState()`

    - #### setDefaultState

          void setDefaultState(ScreenState value)

      Sets the value of the '`Default State`' reference.
      Parameters:
        `value` - the new value of the 'Default State' reference.
      See Also:
        `getDefaultState()`

    - #### getCpCommands

          CPCommands getCpCommands()

      Returns the value of the 'Cp Commands' containment reference. Contenitore dei comandi associati al content panel (vengono eseguiti in differenti momenti a seconda del tipo di esecuzione del singolo comando)
      Returns:
        the value of the 'Cp Commands' containment reference.
      See Also:
        `setCpCommands(CPCommands)`, `GuigenPackage.getContentPanel_CpCommands()`

    - #### setCpCommands

          void setCpCommands(CPCommands value)

      Sets the value of the '`Cp Commands`' containment reference.
      Parameters:
        `value` - the new value of the 'Cp Commands' containment reference.
      See Also:
        `getCpCommands()`